2 qq 33061377 qq_33061377 于 2016.09.09 22:12 提问

javascript throw Error

function getElements(){
var oElement={};
for (var i = arguments.length - 1; i >= 0; i--) {
var id=arguments[i];
var elt=document.getElementById(id);
if(elt==null){
throw new Error("No element with id:"+id);
}
oElement[id]=elt;
}
return oElement;

    }
    window.onload=function(){
        try{
            var o=getElements("6","9");
        }
        catch(e){
            alert(e);
        }

}
两个Error为什么throw一个呢?

2个回答

guwei4037
guwei4037   Ds   Rxr 2016.09.09 22:35
已采纳

因为程序发生错误,中断执行,所有只有一个。又由于是倒序输出,所有只抛出9的异常。

caozhy
caozhy   Ds   Rxr 2016.09.09 22:37

throw了以后就退出函数了,所以另一个异常根本没机会触发。

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
javascript的异常处理之throw的用法
html> html lang="en"> head> meta http-equiv="content-type" content="text/html;charset=UTF-8"> title>javascript的异常处理之throw的用法title> head> body> script type="text/javascript"> <!--
javaScript -throw作用
javaScript -throw作用 function demo(){ try{ var e=document.getElementById(“text”).value; if(e==”“){//不能为空 不然弹出请输入 throw "请输入"; }
gulp编译报错
internal/streams/legacy.js:59 throw er; // Unhandled stream error in pipe. ^ GulpUglifyError: unable to minify JavaScript at createError (/usr/local/node-v6.11.1-linux-x64/lib/node_
JS throw语句
Throw 声明 throw 声明的作用是创建 exception(异常)。你可以把这个声明与 try...catch 声明配合使用,以达到控制程序流并产生精确错误消息的目的。 语法: throw(exception) exception 可以是字符串、整数、逻辑值或
javascript try{ throw new Error("给catch参数e的内容")}catch(e){ if(e.message == ""){//do sth}} 的正确使用
一张图说明try{}catch(){}使用注意点:
js抛出自定义异常
https://developer.mozilla.org/zh-CN/docs/Web/JavaScript/Reference/Statements/throw
报错 Bootstrap's JavaScript requires jQuery
引用Bootstrap时导航条下拉没有反应,报错Bootstrap's JavaScript requires jQuery 导致改报错原因是js文件加载顺序出现了问题注意:应该是先导入jquery的js文件,再导入bootstrap的js文件...
Node js 抛 events.js:160 throw er; // Unhandled 'error' event
The project I worked on was built with gulp. Recently I updated the node version to v6.3.1. Then something came wrong. A task named 'html' throws an error. Here is the part of error code of it.
全面介绍javascript异常处理(try…catch…finally window.onerror)
转载:全面介绍javascript异常处理(try…catch…finally window.onerror)  http://snap.oncoding.cn/javascript/base/article200907/216.html  try catch finally 语句说明  try catch finally是javascript语言提供的异常处理机制。语法结构如下 
Bootstrap.js (1)-- modal
if (typeof jQuery === 'undefined') { // 判断是否引入jq throw new Error('Bootstrap\'s JavaScript requires jQuery') }/* ‘+function’ ‘!function’ ‘-function’ 等价于(function(){})(), 自执行函数。把函数声明式变成了函数表达式 */+fun